Log4j 1.2.7

## org.apache.log4j.jmx
Class HierarchyDynamicMBean

    java.lang.Object
      |
      +--org.apache.log4j.jmx.AbstractDynamicMBean
            |
            +--org.apache.log4j.jmx.HierarchyDynamicMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, HierarchyEventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster

public class HierarchyDynamicMBean
extends AbstractDynamicMBean
implements HierarchyEventListener, javax.management.NotificationBroadcaster

Constructor Summary
`HierarchyDynamicMBean()`

Method Summary
`void` `addAppenderEvent(Category logger, Appender appender)`
`javax.management.ObjectName` `addLoggerMBean(String name)`
`void` `addNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, Object handback)`
`Object` `getAttribute(String attributeName)`
`protected Logger` `getLogger()`
`javax.management.MBeanInfo` `getMBeanInfo()`
`javax.management.MBeanNotificationInfo[]` `getNotificationInfo()`
`Object` `invoke(String operationName, Object[] params, String[] signature)`
`void` `postRegister(Boolean registrationDone)`
`void` `removeAppenderEvent(Category cat, Appender appender)`
`void` `removeNotificationListener(javax.management.NotificationListener listener)`
`void` `setAttribute(javax.management.Attribute attribute)`

Methods inherited from class org.apache.log4j.jmx.AbstractDynamicMBean
`getAttributes, postDeregister, preDeregister, preRegister, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyDynamicMBean

    public HierarchyDynamicMBean()

Method Detail

### addLoggerMBean

    public javax.management.ObjectName addLoggerMBean(String name)

### addNotificationListener

    public void addNotificationListener(javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        Object handback)

  Specified by:
    `addNotificationListener` in interface `javax.management.NotificationBroadcaster`

### getLogger

    protected Logger getLogger()

  Overrides:
    `getLogger` in class `AbstractDynamicMBean`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

### invoke

    public Object invoke(String operationName,
                         Object[] params,
                         String[] signature)
                  throws javax.management.MBeanException,
                         javax.management.ReflectionException

### getAttribute

    public Object getAttribute(String attributeName)
                        throws javax.management.AttributeNotFoundException,
                               javax.management.MBeanException,
                               javax.management.ReflectionException

### addAppenderEvent

    public void addAppenderEvent(Category logger,
                                 Appender appender)

  Specified by:
    `addAppenderEvent` in interface `HierarchyEventListener`

### removeAppenderEvent

    public void removeAppenderEvent(Category cat,
                                    Appender appender)

  Specified by:
    `removeAppenderEvent` in interface `HierarchyEventListener`

### postRegister

    public void postRegister(Boolean registrationDone)

  Overrides:
    `postRegister` in class `AbstractDynamicMBean`

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener listener)
                                    throws javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.NotificationBroadcaster`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.